%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-connector-1.7-api
Version:          1.0.1
Release:          %mkrel 2
Group:            Development/Java
Summary:          Connector Architecture 1.7 API
License:          CDDL or GPLv2 with exceptions
URL:              https://github.com/jboss/jboss-connector-api_spec
Source0:          https://github.com/jboss/jboss-connector-api_spec/archive/jboss-connector-api_1.7_spec-%{namedversion}.tar.gz
Source1:          cddl.txt

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)

BuildArch:        noarch

%description
Java EE Connector Architecture 1.7 API classes

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-connector-api_spec-jboss-connector-api_1.7_spec-%{namedversion}

%pom_remove_plugin :maven-source-plugin

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%license cddl.txt LICENSE

%files javadoc -f .mfiles-javadoc
%license cddl.txt LICENSE



%changelog
* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1528637
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1431676
- Update to version 1.0.1

* Tue Sep 18 2018 umeabot <umeabot> 1.0.0-7.mga7
+ Revision: 1263327
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 1.0.0-6.mga6
+ Revision: 1102656
- Add missing BuildRequires to fix FTBFS
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.0-4.mga6
+ Revision: 976429
- First rebuild of the java stack
- sync package jboss-connector-1.7-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 742251
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 1.0.0-1.mga4
+ Revision: 563285
- imported package jboss-connector-1.7-api


* Fri Dec 13 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-1
- Upstream release 1.0.0.Final

* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Beta1
- Initial packaging

